Summary: A large set of basic network services programs
Name: NetKit-B
Version: 0.08
Release: 4
Copyright: distributable
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/Network/NetKit-B-0.08.tar.gz
Source1: inet.init
Requires: pamconfig
Patch: NetKit-B-0.08-misc.patch
Patch1: NetKit-B-0.08-glibc.patch
Patch2: NetKit-B-0.08-rusers.patch
Patch3: NetKit-B-0.08-inetaddr.patch
Patch4: NetKit-B-0.08-rloginconv.patch
Patch5: NetKit-B-0.08-envpath.patch
Requires: tcp_wrappers

%description
NetKit-B provides the clients and servers for many standard Unix
network services.  Network logins, ftp, and talk (among others)
are provided here.

%prep
%setup
%patch -P 0 -p1
%patch -P 1 -p1 -b .noglibc
%patch -P 4 -p1 -b .oldconv

%ifarch axp
%patch -P 2 -p1 -b .noaxp
%patch -P 3 -p1 -b .noaxp
%endif

%patch -P 5 -p1 -b .envpath

%build
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install
mkdir -p /var/spool/rwho
install -m755 $RPM_SOURCE_DIR/inet.init /etc/rc.d/init.d/inet
ln -sf ../init.d/inet /etc/rc.d/rc0.d/K50inet
ln -sf ../init.d/inet /etc/rc.d/rc1.d/K50inet
ln -sf ../init.d/inet /etc/rc.d/rc2.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc3.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc5.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc6.d/K50inet

%post
/sbin/pamconfig --add --service=rexec --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_unix_auth.so ""' --password=none --sesslist=none
/sbin/pamconfig --add --service=rlogin --authlist='required /lib/security/pam_securetty.so "" sufficient /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_unix_auth.so ""'
/sbin/pamconfig --add --service=rsh --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_rhosts_auth.so ""' --password=none

%postun
if [ "$1" = 0 ] ; then
  /sbin/pamconfig --remove --service=rexec --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_unix_auth.so ""' --password=none --sesslist=none
  /sbin/pamconfig --remove --service=rlogin --authlist='required /lib/security/pam_securetty.so "" sufficient /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_unix_auth.so ""'
  /sbin/pamconfig --remove --service=rsh --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_rhosts_auth.so ""' --password=none
fi

%files
%dir /var/spool/rwho
/usr/bin/biff
/usr/man/man1/biff.1
/usr/sbin/in.comsat
/usr/man/man8/in.comsat.8
/usr/bin/finger
/usr/man/man1/finger.1
/usr/sbin/in.fingerd
/usr/man/man8/in.fingerd.8
/usr/bin/ftp
/usr/bin/pftp
/usr/man/man1/ftp.1

/usr/sbin/inetd
/usr/man/man8/inetd.8
%config /etc/rc.d/init.d/inet
%config /etc/rc.d/rc0.d/K50inet
%config /etc/rc.d/rc1.d/K50inet
%config /etc/rc.d/rc2.d/S50inet
%config /etc/rc.d/rc3.d/S50inet
%config /etc/rc.d/rc5.d/S50inet
%config /etc/rc.d/rc6.d/K50inet

/bin/ping
/usr/man/man8/ping.8

/usr/bin/rcp
/usr/man/man1/rcp.1
/usr/sbin/in.rexecd
/usr/man/man8/in.rexecd.8
/usr/bin/rlogin
/usr/man/man1/rlogin.1
/usr/sbin/in.rlogind
/usr/man/man8/in.rlogind.8
/usr/bin/rpcgen
/usr/man/man1/rpcgen.1
/usr/sbin/rpc.rusersd
/usr/man/man8/rpc.rusersd.8
/usr/sbin/rpc.rwalld
/usr/man/man8/rpc.rwalld.8
/usr/bin/rpcinfo
/usr/man/man8/rpcinfo.8
/usr/bin/rsh
/usr/man/man1/rsh.1
/usr/sbin/in.rshd
/usr/man/man8/in.rshd.8
/usr/bin/rusers
/usr/man/man1/rusers.1
/usr/bin/rwall
/usr/man/man1/rwall.1
/usr/bin/rwho
/usr/man/man1/rwho.1
/usr/sbin/rwhod
/usr/man/man8/rwhod.8
/usr/bin/talk
/usr/man/man1/talk.1
/usr/sbin/in.talkd
/usr/sbin/in.ntalkd
/usr/man/man8/in.talkd.8
/usr/man/man8/in.ntalkd.8
/usr/bin/telnet
/usr/man/man1/telnet.1
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5
/usr/man/man8/in.telnetd.8
/usr/bin/tftp
/usr/man/man1/tftp.1
/usr/sbin/in.tftpd
/usr/man/man8/in.tftpd.8
/usr/sbin/timed
/usr/man/man8/timed.8
/usr/sbin/timedc
/usr/man/man8/timedc.8

